## DbusmenuMenuitemProxy DbusmenuMenuitemProxy — A menuitem that proxies from another menuitem |

## Stability Level

Unstable, unless otherwise indicated

## Functions

DbusmenuMenuitemProxy * | dbusmenu_menuitem_proxy_new ()
DbusmenuMenuitem * | dbusmenu_menuitem_proxy_get_wrapped ()

## Types and Values

struct | DbusmenuMenuitemProxy

## Includes

    #include <libdbusmenu-glib/menuitem-proxy.h>

## Description

This small object allows for proxying all the properties from a remote menuitem to a new object that can be moved around appropriately within the new menu structure.

## Functions

### dbusmenu_menuitem_proxy_new ()

    DbusmenuMenuitemProxy *
    dbusmenu_menuitem_proxy_new (DbusmenuMenuitem *mi);

Builds a new DbusmenuMenuitemProxy object that proxies all of the values for `mi` .

#### Parameters

mi | The DbusmenuMenuitem to proxy |

#### Returns

A new DbusmenuMenuitemProxy object.

### dbusmenu_menuitem_proxy_get_wrapped ()

    DbusmenuMenuitem *
    dbusmenu_menuitem_proxy_get_wrapped (DbusmenuMenuitemProxy *pmi);

Accesses the private variable of which DbusmenuMenuitem we are doing the proxying for.

#### Parameters

pmi | DbusmenuMenuitemProxy to look into |

#### Returns

A DbusmenuMenuitem object or a NULL if we don't have one or there is an error.

[transfer none]

## Types and Values

### struct DbusmenuMenuitemProxy

    struct DbusmenuMenuitemProxy {
    };

Public instance data for a DbusmenuMenuitemProxy.